# Generated from configliere-0.4.22.gem by gem2rpm -*- rpm-spec -*-
%global gem_name configliere

Name: rubygem-%{gem_name}
Version: 0.4.22
Release: 1%{?dist}
Summary: Wise, discreet configuration management
License: Apache 2.0
URL: https://github.com/infochimps-labs/configliere
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
You've got a script. It's got some settings. Some settings are for this
module, some are for that module. Most of them don't change. Except on your
laptop, where the paths are different.  Or when you're in production mode. Or
when you're testing from the command line.
"" So, Consigliere of mine, I think you should tell your Don what everyone
knows. "" -- Don Corleone
Configliere manage settings from many sources: static constants, simple config
files, environment variables, commandline options, straight ruby. You don't
have to predefine anything, but you can ask configliere to type-convert,
require, document or password-obscure any of its fields. Modules can define
config settings independently of each other and the main program.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/configliere
%{_bindir}/configliere-decrypt
%{_bindir}/configliere-delete
%{_bindir}/configliere-dump
%{_bindir}/configliere-encrypt
%{_bindir}/configliere-list
%{_bindir}/configliere-set
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/FEATURES.txt
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.textile
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.textile
%{gem_instdir}/Rakefile
%{gem_instdir}/configliere.gemspec
%{gem_instdir}/examples
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.4.22-1
- Initial package
